Difference between revisions of "Psychopy"

From TSG Doc
Jump to: navigation, search
(Python Packages)
Line 35: Line 35:
 
}}
 
}}
 
PsychoPy is an alternative to Presentation, e-Prime and Inquisit. It is a Python library and application that allows presentation of stimuli and collection of data for a wide range of neuroscience, psychology and psychophysics experiments. When used on DCC computers PsychoPy is guaranteed to be millisecond accurate.
 
PsychoPy is an alternative to Presentation, e-Prime and Inquisit. It is a Python library and application that allows presentation of stimuli and collection of data for a wide range of neuroscience, psychology and psychophysics experiments. When used on DCC computers PsychoPy is guaranteed to be millisecond accurate.
 +
 +
== Installation ==
 +
{{see also|Psychopy installation}}
 +
Click [http://www.psychopy.org/installation.html here] for more information on installing PsychoPy. For Radboud Social Sciences specific instructions, visit the [[Psychopy installation]] page.
  
 
== Configuration ==
 
== Configuration ==
 
=== Python Packages ===
 
=== Python Packages ===
  
Click [http://www.psychopy.org/installation.html here] for more information on installing PsychoPy. There is also a radboud social sciences specific [[Psychopy installation|instruction]].
 
 
{| class="wikitable"
 
{| class="wikitable"
 
|-
 
|-

Revision as of 10:24, 27 October 2017

Psychopy
Psychopy Logo.png
Development status Active
Written in Python
Downloads
Manuals

PsychoPy is an alternative to Presentation, e-Prime and Inquisit. It is a Python library and application that allows presentation of stimuli and collection of data for a wide range of neuroscience, psychology and psychophysics experiments. When used on DCC computers PsychoPy is guaranteed to be millisecond accurate.

Installation

Click here for more information on installing PsychoPy. For Radboud Social Sciences specific instructions, visit the Psychopy installation page.

Configuration

Python Packages

Python Library Version
numpy version 0.9.6 or greater
scipy version 0.4.8 or greater
pyglet version 1.1.4, not version 1.2
wxPython version 2.8.10 or 2.8.11, not 2.9
Python Imaging Library sudo easy_install PIL
matplotlib for plotting and fast polygon routines
lxml needed for loading/saving builder experiment files
openpyxl for loading params from xlsx files
pyo sound, version 0.6.2 or higher, compile with —-no-messages

Learning PsychoPy

Templates

Find the presentation Template here Media:TemplatePsychopy2013.zip

Troubleshooting

Version History

For version history and bug fixes please check here: http://www.psychopy.org/changelog.html

Google Mailing list

For various information please click here: https://groups.google.com/forum/#!forum/psychopy-users

GitHub Repository

For requests / bug report / issues click here: https://github.com/psychopy/psychopy